{% extends 'gabaries/page.html.twig' %}

{% block title %}Hello MainController!
{% endblock %}

{% block body %}
    <div class="row">
        {% for product in products %}
            <div class="col-sm-12 col-md-4 col-lg-3 p-3 ">
                <a class="card text-decoration-none border-0" href="{{ path('product_index', {'slug': product.slug}) }}">
                    <img src="https://placehold.co/400" class="card-img-top shadow-sm" alt="{{ product.name }}">
                    <div class="card-body">
                        <h5 class="card-title">{{ product.name }}</h5>
                        <p class="card-text">{{ '$' ~ product.price | number_format }}</p>
                    </div>
                </a>
            </div>
        {% endfor %}
    </div>
{% endblock %}
